System 2.0.0.0 4.0.0.0 System.Enum System.Flags

This enumeration is used to identify the parts of a . This enumeration is used with the method.

Specifies the parts of a .

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The , , , , , , and data.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The data.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The data.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The and data. If no port data is in the Uri and a default port has been assigned to the , the default port is returned. If there is no default port, -1 is returned.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The , , , , and data.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  Specifies that the delimiter should be included.

- Field
  4.0.0.0
  System.UriComponents

  The normalized form of the .

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The data.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The and data. Also see .

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The data.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The data.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The data.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The , , and data.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The complete context that is needed for Uri Serializers. The context includes the IPv6 scope.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The , , and data. If no port data is in the and a default port has been assigned to the , the default port is returned. If there is no default port, -1 is returned.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The data. If no port data is in the and a default port has been assigned to the , the default port is returned. If there is no default port, -1 is returned.

- Field
  2.0.0.0
  4.0.0.0
  System.UriComponents

  The data.